<?php

/**
 * 聊天对称性加密
 * User: ben
 * Date: 2018/9/19
 * Time: 下午2:59
 */
class ChatAES extends AES {

    public function __construct($key = null) {
        $key = $key ?: AES_KEY;
        $iv = 'mee.chat';
        $method = 'aes-256-ctr';
        parent::__construct($key, $iv, $method);
    }

}